import request from '@/utils/request'

// 查询项目信息列表
export function listProjectinfo(query) {
  return request({
    url: '/mes/projectinfo/list',
    method: 'get',
    params: query
  })
}

// 查询项目信息详细
export function getProjectinfo(projectId) {
  return request({
    url: '/mes/projectinfo/' + projectId,
    method: 'get'
  })
}

// 新增项目信息
export function addProjectinfo(data) {
  return request({
    url: '/mes/projectinfo',
    method: 'post',
    data: data
  })
}

// 修改项目信息
export function updateProjectinfo(data) {
  return request({
    url: '/mes/projectinfo',
    method: 'put',
    data: data
  })
}

// 删除项目信息
export function delProjectinfo(projectId) {
  return request({
    url: '/mes/projectinfo/' + projectId,
    method: 'delete'
  })
}
